Package org.h2gis.functions.spatial.create

# Class ST_BoundingCircleCenter

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.create.ST_BoundingCircleCenter

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_BoundingCircleCenter extends org.h2gis.api.DeterministicScalarFunction
Compute the minimum bounding circle center of a geometry

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_BoundingCircleCenter()`
Constructor

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Point`
`getCircumCenter(org.locationtech.jts.geom.Geometry geometry)`
Compute the minimum bounding circle center of a geometry
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_BoundingCircleCenter

public ST_BoundingCircleCenter()
Constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getCircumCenter

public static org.locationtech.jts.geom.Point getCircumCenter(org.locationtech.jts.geom.Geometry geometry)
Compute the minimum bounding circle center of a geometry

Parameters:
  `geometry` - Any geometry
Returns:
  Minimum bounding circle center point